Bug 434550 - Error with rhn_register
Error with rhn_register
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Jan Hutař
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-22 12:33 EST by Gary Steven
Modified: 2013-11-19 09:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:18:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Steven 2008-02-22 12:33:21 EST
Description of problem:
On a fresh install of RHEL 5.1 when running rhn_register it dumps an error at 
the end of the process.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install RHEL 5.1
2. Run rhn_register
3. Fill out form as it submits data to RedHat you get an error
  
Actual results:
[Fri Feb 22 04:58:38 2008] rhn_register logging into up2date server
[Fri Feb 22 09:21:31 2008] rhn_register 
Traceback (most recent call last):
  File "/usr/sbin/rhn_register", line 79, in ?
    app.run()
  File "/usr/share/rhn/up2date_client/rhncli.py", line 65, in run
    sys.exit(self.main() or 0)
  File "/usr/sbin/rhn_register", line 64, in main
    ui.main()
  File "/usr/share/rhn/up2date_client/tui.py", line 1851, in main
    tui.run()
  File "/usr/share/rhn/up2date_client/tui.py", line 1743, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/up2date_client/tui.py", line 1390, in __init__
    rw = ReviewWindow(self.screen, self.tui, reg_info)
  File "/usr/share/rhn/up2date_client/tui.py", line 1434, in __init__
    if self.tui.activate_result.getStatus() == \
exceptions.AttributeError: 'dict' object has no attribute 'getStatus'

Expected results:
No errors

Additional info:
Even though the processes causes an error yum works as expected afterwards.
Comment 1 Amy Owens 2008-02-22 13:36:25 EST
Can I get come more info on this?  Are you entering an installation number?
Comment 2 Gary Steven 2008-02-24 16:40:14 EST
In my Environment I am using Kickstart to build out all of my servers and they 
all have a valid installation number entered during the install process.

From a base RHEL 5 install I run rhn_register, it registeres fine but during 
the "Sending profile to RedHat" it gets to 80% exits with this error.

Oddly enough it just spits an error out but the server is registered with RHN 
and I can use yum to fetch patches without any problems.
Comment 4 RHEL Product and Program Management 2008-06-04 18:46:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 Ben Schmitt 2008-11-19 11:12:23 EST
This bug was fixed by renaming the /etc/sysconfig/rhn/install-num file...the rhn_register script would then complete without throwing an uncaught exception...this fix was provided by Redhat support.
Comment 15 errata-xmlrpc 2009-01-20 17:18:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0249.html

Note You need to log in before you can comment on or make changes to this bug.